apiVersion: build.openshift.io/v1
kind: BuildConfig
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: |
      {"apiVersion":"build.openshift.io/v1","kind":"BuildConfig","metadata":{"annotations":{},"name":"test-bc","namespace":"hongkliu-test"},"spec":{"failedBuildsHistoryLimit":2,"output":{"to":{"kind":"ImageStreamTag","name":"test-is:latest"}},"source":{"dockerfile":"FROM registry.ci.openshift.org/ci/html-proofer:3.19.0\nRUN apk add --no-cache bash      \n","type":"Dockerfile"},"strategy":{"dockerStrategy":{"from":{"kind":"ImageStreamTag","name":"html-proofer:3.19.0","namespace":"ci"},"imageOptimizationPolicy":"SkipLayers"},"type":"Docker"},"successfulBuildsHistoryLimit":1}}
  creationTimestamp: "2023-02-20T15:11:22Z"
  generation: 7
  name: test-bc
  namespace: hongkliu-test
  resourceVersion: "2747590704"
  uid: 016da04f-c435-4b15-950d-947ae325b75a
spec:
  failedBuildsHistoryLimit: 2
  nodeSelector: null
  output:
    to:
      kind: ImageStreamTag
      name: test-is:latest
  postCommit: {}
  resources: {}
  runPolicy: Serial
  source:
    dockerfile: "FROM registry.ci.openshift.org/ci/html-proofer:3.19.0\nRUN apk add
      --no-cache bash      \n"
    type: Dockerfile
  strategy:
    dockerStrategy:
      from:
        kind: ImageStreamTag
        name: html-proofer:3.19.0
        namespace: ci
      imageOptimizationPolicy: SkipLayers
    type: Docker
  successfulBuildsHistoryLimit: 1
status:
  lastVersion: 4
